Get logs for LP positions
curl --request GET \
--url https://api.lpagent.io/open-api/v1/lp-positions/logs \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lpagent.io/open-api/v1/lp-positions/logs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lpagent.io/open-api/v1/lp-positions/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"count": 45,
"data": [
{
"owner": "7KHx2Uc5qsqz652eXbu8Qtabi5KLxWJLgxFzcaBzP32i",
"action": "add_liquidity",
"amount0": "1000000000",
"amount1": "500000000",
"decimal0": 9,
"decimal1": 9,
"price0": "3.844231933777601",
"price1": "170.66710334453902",
"timestamp": "2025-07-25T16:23:04.000Z",
"nativePrice": "178.45",
"strategyType": "BidAskImBalanced",
"tickUpper": -333,
"tickLower": -402,
"bps": 100,
"logo0": "https://token-logo.lpagent.io/api/v1/logo?address=31k88G5Mq7ptbRDf3AM13HAq6wRQHXHikR8hik7wPygk&chain=SOL",
"logo1": "https://token-logo.lpagent.io/api/v1/logo?address=So11111111111111111111111111111111111111112&chain=SOL"
}
]
}{
"status": "error",
"message": "position or owner parameter is required"
}Positions
Get logs for LP positions
Retrieves transaction logs for liquidity pool positions. Can fetch logs for a specific position or for all positions of an owner.
GET
/
lp-positions
/
logs
Get logs for LP positions
Authorizations
API key for authentication
Query Parameters
Position ID (token ID)
Blockchain chain identifier
Wallet address of the position owner (required for public access)
Was this page helpful?
⌘I